Name:          easyrpmbuilder
Summary:       A rpm package builder helper
Version:       0.5.6
Release:       %mkrel 3
License:       GPLv2+
Url:           http://kde-apps.org/content/show.php?content=114271
Group:         Development/Other
Source0:       http://www.linux-specialist.com/download/source/easyrpmbuilder-%{version}.tgz
Source1:       Mageia.grp
BuildRequires: desktop-file-utils
BuildRequires: qt4-devel
Requires:      rpm-build
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A tool to help developers in distributing their applications as RPM packages.
 
%prep
%setup -q
sed -i "s|/usr/share/qt4/translations/|%{_libdir}/qt4/translations/|" src/main.cpp
sed -i "s|/usr/share/doc/packages/easyrpmbuilder/|%{_docdir}/easyrpmbuilder/|" src/easyrpmmainwindowimpl.cpp
%build

%qmake_qt4 -o Makefile easyrpmbuilder.pro
%make
%qt4bin/lrelease easyrpmbuilder.pro

%install
rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/easyrpmbuilder
mkdir -p %{buildroot}%{_libdir}/qt4/translations
mkdir -p %{buildroot}%{_docdir}/easyrpmbuilder/RPM-HOWTO
mkdir -p %{buildroot}%{_datadir}/applications

install -pm 0755 bin/easyrpmbuilder %{buildroot}%{_bindir}
install -pm 0644 src/templates/*.tpl %{buildroot}%{_datadir}/easyrpmbuilder
install -pm 0644 src/groups/*.grp %{buildroot}%{_datadir}/easyrpmbuilder
install -pm 0644 %{SOURCE1} %{buildroot}%{_datadir}/easyrpmbuilder/Mageia.grp
install -pm 0644 src/translations/brazilian.qm %{buildroot}%{_libdir}/qt4/translations/easyrpmbuilder_br_BR.qm
install -pm 0644 src/translations/english.qm %{buildroot}%{_libdir}/qt4/translations/easyrpmbuilder_en_GB.qm
install -pm 0644 src/translations/german.qm %{buildroot}%{_libdir}/qt4/translations/easyrpmbuilder_de_DE.qm
install -pm 0644 src/translations/italian.qm %{buildroot}%{_libdir}/qt4/translations/easyrpmbuilder_it_IT.qm
install -pm 0644 src/translations/spanish.qm %{buildroot}%{_libdir}/qt4/translations/easyrpmbuilder_es_ES.qm
install -pm 0644 src/icons/rpm.png %{buildroot}%{_datadir}/easyrpmbuilder/

cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=Easy RPM Builder
Name[de]=Easy RPM Builder
Name[es]=Easy RPM Builder
GenericName=RPM Builder
GenericName[es]=Generador de RPMs
GenericName[de]=RPM Builder
Comment=A tool for developers who want to make their applications available as RPM packages.
Comment[it]=Uno strumento per gli sviluppatori che desiderano rendere disponibili le loro applicazioni in formato RPM.
Comment[de]=Ein Werkzeug für Entwickler die Anwendungen als RPM-Pakete erstellen wollen.
Comment[es]=Herramienta para desarrolladores que quieran tener sus aplicaciones disponibles como paquetes RPM.
Exec=%{name}
Icon=%{_datadir}/%{name}/rpm.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Development;Qt;IDE;
EOF

desktop-file-install --mode=0644 --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/easyrpmbuilder
%dir %{_datadir}/easyrpmbuilder
%{_datadir}/easyrpmbuilder/rpm.png
%{_datadir}/easyrpmbuilder/*.tpl
%{_datadir}/easyrpmbuilder/*.grp
%{_datadir}/applications/easyrpmbuilder.desktop
%{_libdir}/qt4/translations/*.qm
%doc CHANGELOG README doc/RPM-HOWTO


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.5.6-3.mga4
+ Revision: 503974
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.5.6-2.mga3
+ Revision: 349282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 13 2011 anaselli <anaselli> 0.5.6-1.mga1
+ Revision: 98270
- imported package easyrpmbuilder

